
Redmine - Defect #5401

500 internal error when browsing any Redmine page in epiphany

2010-04-29 13:35 - Chris Cannam

Status: Closed Start date: 2010-04-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.4   

Resolution: Fixed Affected version: 0.9.3

Description

I get a 500 Internal Error when trying to load any Redmine page (including e.g. the home page or demo instance at redmine.org) in

Epiphany 2.30 (current Arch Linux version).  Epiphany appears to be sending something unexpected in

HTTP_ACCEPT_LANGUAGE.

Patch attached -- tested against 0.9 in my own Redmine instance, but the code appears to be the same in trunk.

Associated revisions

Revision 3702 - 2010-04-30 12:33 - Jean-Philippe Lang

Fixed: 500 internal error when browsing any Redmine page in Epiphany (#5401).

History

#1 - 2010-04-30 12:29 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Affected version (unused) set to 0.9.3

- Resolution set to Fixed

- Affected version set to 0.9.3

Committed in r3702.

#2 - 2010-04-30 19:15 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

redmine-avoid-epiphany-lang-500.patch 707 Bytes 2010-04-29 Chris Cannam
